include ../External_Functions/compile.mk

SOURCE = OpenMP.c OpenMP_aff.c 
OBJECTS = util.o matrix_op.o timer.o input.o
PROGRAMS= OpenMP.exe OpenMP_aff.exe

all: $(PROGRAMS)

OpenMP.exe: $(OBJECTS) OpenMP.c
	$(CPU_COMPILE_OMP) OpenMP.c -o $@ $(OBJECTS)

OpenMP_aff.exe: $(OBJECTS) OpenMP_aff.c
	$(CPU_COMPILE_OMP) OpenMP_aff.c -o $@ $(OBJECTS)

%.o: $(EXT_DIR)%.c
	$(CPU_COMPILE_OMP_OBJ) -o $@ $<

%.o: %.h

clean:
	$(RM) $(PROGRAMS) $(OBJECTS)

